<template>
  <div v-for="formula_period in parent.formula_periods"
       v-bind:key="formula_period.rowid" role="region" aria-label="Formula period"
       class="q-pl-md table__row formula">
    <span>Periodtype: {{ formula_period.period_type }}</span>
    <span v-if="formula_period.value">&nbsp;Value: {{ formula_period.value }}</span>
    <span v-if="formula_period.start">&nbsp;Start: {{ formula_period.start }}</span>
    <span v-if="formula_period.end">&nbsp;End: {{ formula_period.end }}</span>
    <div class="text-caption">Formula Period</div>
  </div>
  <div v-for="formula_typed_dimension in parent.formula_typed_dimension"
       v-bind:key="formula_typed_dimension.rowid"
       role="region" aria-label="Formula typed dimension"
       class="q-pl-md table__row formula">
    <span>Typed dimension: {{ formula_typed_dimension.dimension_id }}</span>
    <span v-if="formula_typed_dimension.value">&nbsp;Value: {{ formula_typed_dimension.value }}</span>
    <span v-if="formula_typed_dimension.xpath">&nbsp;XPath: {{ formula_typed_dimension.xpath }}</span>
    <div class="text-caption">Formula typed dimension</div>
  </div>
  <div v-for="formula_explicit_dimension in parent.formula_explicit_dimensions"
       v-bind:key="formula_explicit_dimension.rowid"
       role="region" aria-label="Formula explicit dimension"
       class="q-pl-md table__row formula">
    <span
      v-if="formula_explicit_dimension.qname_dimension">&nbsp;Explicit dimension QName: {{ formula_explicit_dimension.qname_dimension }}</span>
    <span
      v-if="formula_explicit_dimension.qname_member">&nbsp;Member QName: {{ formula_explicit_dimension.qname_member }}</span>
    <span
      v-if="formula_explicit_dimension.type_qname">&nbsp;QName type: {{ formula_explicit_dimension.type_qname }}</span>
    <div class="text-caption">Formula explicit dimension</div>
  </div>

</template>

<script>
export default {
  name: "RulenodeFormulas",
  props: {
    parent: Object
  }
}
</script>

<style scoped lang="scss">
.formula {
  background-color: $grey-11;
}

</style>
